Subject: Re: What's cooking in git.git (Nov 2024, #07; Wed, 20)

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Nov 2024 08:11:09 +0900

"Kristoffer Haugsbakk" <[email-masked]> writes:

> The patch got an Ack from Christian.[1] The patch submitter is supposed to add
> trailers like `Acked-by` in subsequent versions according to SubmittingPatches.
> But this one went straight from proposal to `next` as far as I could see.

Straight is a relative term.

You could have said "ah, thanks for an ack, here is a resend" before
I queued, provided if Christian sent his ack quicly enough.  Or if
Christian ack'ed before I queued the patch (and provided if I saw
it), I may have added it while queuing.  But the thing is, people
work in parallel and in different timezones, especially for a
trivially correct and good patch, things may not move sufficiently
slowly to allow that to happen.  And it obviously is a good thing to
allow trivially correct and good changes faster to 'next' with least
amount of bureaucracy ;-)

So I wouldn't worry much about missing Ack here or there, especially
for something that is simple and non-controversial.

One thing you can do to stop the train is to send a note saying "oh,
please hold and do not merge this to 'next' yet, since I have second
thoughts", before the merge happens, but you obviously have the same
problem that the world around you are also moving ;-).

Thanks.